Why Hop?

Upgrading ExpressionEngine

It’s finally time to say goodbye to ExpressionEngine 2.x. EllisLab had extended the lifespan of EE2, but that’s now over. No one likes to upgrade their content management system, but it’s crucial for the long-term health of your site. Even if you have old, unsupported add-ons or custom add-ons, we can help.

Postponing CMS upgrades only pushes the problem to some point in the future. In our experience, what usually happens is that some other factor forces you to upgrade, often on an uncomfortably brisk timeline or to solve an urgent problem (think security). Of course we can help you with these kinds of upgrades, as well as those that are planned for!

Typically we peel away several layers of dead or outmoded add-ons, set up a test site and run a practice upgrade.  If we’re lucky, that goes smoothly. If we’re not, it’s time to dive into the nitty gritty details — cleaning up templates with old PHP code, re-writing custom plugins, converting old fields to new, the list goes on. Not to worry, though, we’ve seen it all!

Whether you’re upgrading from EE 2.x to the latest EE 5.x or you just want to update ExpressionEngine from EE 3.x to EE 4.x, we’ve got the skills and expertise to make it happen today.

We love ExpressionEngine, and we want more folks to be using the latest and greatest version, showcasing the great talents of the EllisLab developers.  For a fresh new site, get in touch today.

Services Offered

Have a Project for Us?

Get in Touch